Name:		ninja
Version:	1.11.1
Release:	%mkrel 2
Group:		Development/Tools
Summary:	A small build system with a focus on speed

License:	ASL 2.0
URL:		https://ninja-build.org/
Source0:	https://github.com/ninja-build/ninja/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	ninja.vim
Source2:	macros.ninja

BuildRequires:	asciidoc
BuildRequires:	gtest-devel
BuildRequires:	re2c
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	python3

Obsoletes:	ninja-build < 1.7.2
Provides:	ninja-build = %{version}-%{release}

# For ninja rpm macros that uses UTF-8 locale
Requires:	locales

%description
Ninja is a small build system with a focus on speed. It differs from other
build systems in two major respects: it is designed to have its input files
generated by a higher-level build system, and it is designed to run builds as
fast as possible.

%prep
%autosetup -p1

%build
%set_build_flags
./configure.py --bootstrap --verbose --with-python=%{__python3}

./ninja -v manual
./ninja -v ninja_test

%check
./ninja_test

%install
install -D -p -m 755 ninja %{buildroot}%{_bindir}/ninja
install -D -p -m 644 misc/bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/ninja-bash-completion
install -D -p -m 644 misc/ninja-mode.el %{buildroot}%{_datadir}/emacs/site-lisp/ninja-mode.el
install -D -p -m 644 misc/ninja.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax/ninja.vim
install -D -p -m 644 %{_sourcedir}/ninja.vim %{buildroot}%{_datadir}/vim/vimfiles/ftdetect/ninja.vim
install -D -p -m 644 misc/zsh-completion %{buildroot}%{_datadir}/zsh/site-functions/_ninja
install -D -p -m 644 misc/ninja_syntax.py %{buildroot}%{python3_sitelib}/ninja_syntax.py
install -D -p -m 644 %{_sourcedir}/macros.ninja %{buildroot}%{_rpmconfigdir}/macros.d/macros.ninja

%files
%doc README.md doc/manual.html
%license COPYING
%{_bindir}/ninja
%{_sysconfdir}/bash_completion.d/ninja-bash-completion
%{_datadir}/emacs/site-lisp/ninja-mode.el
%{_datadir}/vim/vimfiles/syntax/ninja.vim
%{_datadir}/vim/vimfiles/ftdetect/ninja.vim
%{_datadir}/zsh/site-functions/_ninja
%pycached %{python3_sitelib}/ninja_syntax.py
%{_rpmconfigdir}/macros.d/macros.ninja


%changelog
* Sun Oct 23 2022 wally <wally> 1.11.1-2.mga9
+ Revision: 1898615
- install ninja_syntax.py

* Tue Aug 30 2022 kekepower <kekepower> 1.11.1-1.mga9
+ Revision: 1882376
- Update to version 1.11.1

* Wed Jun 15 2022 kekepower <kekepower> 1.11.0-1.mga9
+ Revision: 1864469
- Update to version 1.11.0

* Mon Mar 28 2022 umeabot <umeabot> 1.10.2-2.mga9
+ Revision: 1830873
- Mageia 9 Mass Rebuild

* Wed Dec 30 2020 luigiwalser <luigiwalser> 1.10.2-1.mga8
+ Revision: 1665885
- 1.10.2

* Tue Sep 15 2020 kekepower <kekepower> 1.10.1-1.mga8
+ Revision: 1626735
- Update to version 1.10.1

* Tue Feb 18 2020 umeabot <umeabot> 1.10.0-2.mga8
+ Revision: 1541336
- Mageia 8 Mass Rebuild

* Tue Feb 18 2020 tv <tv> 1.10.0-1.mga8
+ Revision: 1540300
- 1.10.0
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Dec 24 2019 wally <wally> 1.9.0-3.mga8
+ Revision: 1469867
- add patches from upstream to hopefully fix mysterious mutter build issues

* Sun Mar 31 2019 wally <wally> 1.9.0-2.mga7
+ Revision: 1383343
- use C.UTF-8 instead of UTF-8 in rpm macros

* Wed Jan 30 2019 kekepower <kekepower> 1.9.0-1.mga7
+ Revision: 1361964
- Update to version 1.9.0

* Sun Sep 23 2018 umeabot <umeabot> 1.8.2-3.mga7
+ Revision: 1299746
- Mageia 7 Mass Rebuild

* Sun Dec 17 2017 wally <wally> 1.8.2-2.mga7
+ Revision: 1183049
- move UTF-8 locale fixes from meson to ninja rpm macros

* Tue Nov 14 2017 shlomif <shlomif> 1.8.2-1.mga7
+ Revision: 1177309
- New version 1.8.2 (thanks to kekePower)

* Thu Jan 19 2017 wally <wally> 1.7.2-1.mga6
+ Revision: 1082469
- new version 1.7.2
- fix URL

* Sun Nov 20 2016 daviddavid <daviddavid> 1.6.0-4.mga6
+ Revision: 1068460
- add RPM macro

* Thu Oct 13 2016 cjw <cjw> 1.6.0-3.mga6
+ Revision: 1060668
- revert unnecessary package name change

* Tue Feb 16 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 961757
- Mageia 6 Mass Rebuild

* Wed Sep 02 2015 shlomif <shlomif> 1.6.0-1.mga6
+ Revision: 872184
- New version 1.6.0

* Sat Jun 20 2015 pterjan <pterjan> 1.5.3-1.mga6
+ Revision: 835762
- 1.5.3

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-3.mga5
+ Revision: 742556
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-2.mga5
+ Revision: 682891
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 pterjan <pterjan> 1.5.1-1.mga5
+ Revision: 671268
- 1.5.1

* Fri Apr 11 2014 pterjan <pterjan> 1.4.0-1.mga5
+ Revision: 613372
- imported package ninja


* Wed Nov 20 2013 Ben Boeckel <mathstuf@gmail.com> - 1.4.0-1
- Update to 1.4.0

* Sun Nov  3 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.3.4-4
- Use special %%doc to install all docs (#994005).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Dan Horák <dan[at]danny.cz> - 1.3.4-2
- workaround possible too low limits for number of processes and open files,
  fixes build on ppc/ppc64 and s390(x)

* Sun Jun 09 2013 Ben Boeckel <mathstuf@gmail.com> - 1.3.4-1
- Update to 1.3.4
- Run test suite

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 04 2012 Ben Boeckel <mathstuf@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Thu Jul 19 2012 Ben Boeckel <mathstuf@gmail.com> - 0-0.6.20120719git5dc55a3
- Update to new snapshot

* Mon Jul 09 2012 Ben Boeckel <mathstuf@gmail.com> - 0-0.5.20120709gitb90d038
- Preserve timestamps on install
- Install as ninja-build to avoid conflicts with the ninja IRC package
- Update snapshot

* Tue Jun 19 2012 Ben Boeckel <mathstuf@gmail.com> - 0-0.4.20120605git54553d3
- Add an ftdetect file for ninja
- Fix zsh-stuff directory ownership

* Thu Jun 07 2012 Ben Boeckel <mathstuf@gmail.com> - 0-0.3.20120605git54553d3
- Add a Group tag

* Tue Jun 05 2012 Ben Boeckel <mathstuf@gmail.com> - 0-0.2.20120605git54553d3
- Update to new snapshot

* Fri Mar 30 2012 Ben Boeckel <mathstuf@gmail.com> - 0-0.1.20120330gitabd33d5
- Initial package
